#!/usr/bin/make -f
# debian/rules for the Debian xutils package.
# Copyright © 2004 Scott James Remnant <scott@netsplit.com>
# Copyright © 2005 Daniel Stone <daniel@fooishbar.org>
# Copyright © 2005 David Nusinow <dnusinow@debian.org>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# set this to the name of the main shlib's binary package
PACKAGE = x11-utils

# This package contains multiple modules as shipped by upstream. Each module is # contained in a subdirectory in the root dir of the package. You must list each
# subdirectory explicitly so that the build system knows what to build
DEF_SUBDIRS=appres editres listres viewres xdpyinfo xdriinfo xev xfd xfontsel xkill xlsatoms xlsclients xlsfonts xmessage xprop xvinfo xwininfo
SUBDIRS=$(DEF_SUBDIRS)
CONFIG_STAMPS = $(patsubst %,configure-%-stamp,$(SUBDIRS))
BUILD_STAMPS = $(patsubst %,build-%-stamp,$(SUBDIRS))

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

%:
	dh $@ --with quilt

override_dh_autoreconf:
	dh_autoreconf debian/rules -- autoreconf

autoreconf-%:
	cd $* && autoreconf -vfi

.PHONY: autoreconf
autoreconf: $(addprefix autoreconf-, $(SUBDIRS))

override_dh_auto_configure: $(CONFIG_STAMPS)

configure-%-stamp:
	dh_auto_configure -D$* -B$*-build -- \
		--disable-silent-rules
	>$@

override_dh_auto_build: $(BUILD_STAMPS)

build-%-stamp:
	dh_auto_build -D$* -B$*-build
	>$@

override_dh_auto_clean: $(addprefix clean-, $(SUBDIRS))

clean-%:
	dh_auto_clean -D$* -B$*-build

override_dh_auto_install:
	set -e; for DIR in $(SUBDIRS); do \
		dh_auto_install -D$$DIR -B$$DIR-build --destdir=debian/tmp; \
	done

override_dh_missing:
	dh_missing --fail-missing

.PHONY: get-tarballs
get-tarballs: $(addprefix get-tarball-,$(SUBDIRS))

.PHONY: get-tarball-%
get-tarball-%:
	uscan --no-conf --download --no-symlink --package $* --upstream-version $(shell awk -F = '/^PACKAGE_VERSION=/ { print $$2 }' < $*/configure ) --watchfile debian/watch.$* --destdir . || test $$? = 1

.PHONY: update-copyright
update-copyright: $(addsuffix /COPYING, $(SUBDIRS)) debian/copyright.head
	cp debian/copyright.head debian/copyright
	for subdir in $(SUBDIRS); do \
		echo >> debian/copyright && \
		echo $$subdir: >> debian/copyright && \
		sed -e 's/^./  &/' < $$subdir/COPYING >> debian/copyright \
	|| exit; done
